package net.dotmyself.file.source._13.model;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * The jaxb class for a person.
 *
 * @author Hyacinthe MENIET
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "name",
    "firstname",
    "location",
    "services"
})
@XmlRootElement(name = "person")
public class Person {

    @XmlElement(required = true)
    protected String name;

    @XmlElement(required = false)
    protected String firstname;

    @XmlElement(required = false)
    protected String location;

    @XmlElement(name = "service", required = true)
    @XmlElementWrapper(name = "services", required = true)
    protected List<Service> services;

    @XmlAttribute(name = "id")
    protected int id;

    public Person() {
    }

    /**
     * Gets the value of the name property.
     *
     * @return possible object is {@link String }
     *
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     *
     * @param value allowed object is {@link String }
     *
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the firstname property.
     *
     * @return possible object is {@link String }
     *
     */
    public String getFirstname() {
        return firstname;
    }

    /**
     * Sets the value of the firstname property.
     *
     * @param value allowed object is {@link String }
     *
     */
    public void setFirstname(String value) {
        this.firstname = value;
    }

    /**
     * Gets the value of the location property.
     *
     * @return possible object is {@link String }
     *
     */
    public String getLocation() {
        return location;
    }

    /**
     * Sets the value of the location property.
     *
     * @param value allowed object is {@link String }
     *
     */
    public void setLocation(String value) {
        this.location = value;
    }

    /**
     * Gets a reference to the list of services property.
     *
     * @return possible objects of the following type(s) {@link Service }
     *
     */
    public List<Service> getServices() {
        return services;
    }

    /**
     * Sets the value of the list of services property.
     *
     * @param value Objects of the following type(s) are allowed in the list
     *     {@link Service }
     *
     */
    public void setServices(List<Service> value) {
        this.services = value;
    }

    /**
     * Gets the value of the id property.
     *
     * @return possible value type is {@link int }
     *
     */
    public int getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     *
     * @param value allowed value type is {@link int }
     *
     */
    public void setId(int value) {
        this.id = value;
    }

    @Override
    public String toString() {
        return "Person{" + "name=" + name + ", firstname=" + firstname + ", location=" + location + 
                ", services=" + services + ", id=" + id + '}';
    }

}
