package net.dotmyself.bartering.service;

import java.util.HashMap;
import java.util.Map;
import javax.persistence.EntityGraph;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.ws.rs.GET;
import javax.ws.rs.NotFoundException;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import net.dotmyself.file.source._13.model.Person;

/**
 *
 * The Person resource that returns person's informations.
 *
 * @author Hyacinthe MENIET
 */
@Path("/persons")
public class PersonResource {

    @GET
    @Path("{id : \\d+}")
    @Produces(MediaType.APPLICATION_XML)
    public Person getPerson(@PathParam("id") int id) {
        EntityManagerFactory emf = Persistence
                .createEntityManagerFactory(Person.PERSISTENCE_UNIT);
        EntityManager em = emf.createEntityManager();
        
        EntityGraph graph = em.getEntityGraph("graph.Person.services");
        Map hints = new HashMap();
        hints.put("javax.persistence.fetchgraph", graph);
        
        Person p = em.find(Person.class, id, hints);
        if (null == p) {
            emf.close();
            throw new NotFoundException("person with personId=" + id
                    + " does not exist!");
        }
        emf.close();
        return p;
    }

    @Path("{id : \\d+}/services")
    public ServiceResource getResources(@PathParam("id") int id) {
        return new ServiceResource(id);
    }

}
